Bug 1452585 - Preserve the old behavior of ordering slaves by ifindex by default
Summary: Preserve the old behavior of ordering slaves by ifindex by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-19 09:26 UTC by Beniamino Galvani
Modified: 2017-08-01 09:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC


Attachments (Terms of Use)
[PATCH] core: add configuration flag to choose slaves activation order (8.93 KB, patch)
2017-05-19 09:48 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Beniamino Galvani 2017-05-19 09:26:39 UTC
With bug 1420708 NM changed the order in which slave connections
are auto-activated. This could cause problems for users upgrading
from RHEL 7.3 to 7.4.

Let's add a new system-wide configuration option to
preserve the old behavior of ordering by ifindex, and enable it
on RHEL 7.4.

Comment 2 Beniamino Galvani 2017-05-19 09:48:13 UTC
Created attachment 1280346 [details]
[PATCH] core: add configuration flag to choose slaves activation order

Comment 3 Beniamino Galvani 2017-05-19 09:49:03 UTC
CI tests at:

https://github.com/NetworkManager/NetworkManager-ci/commits/bg/slaves-order

Comment 4 Thomas Haller 2017-05-19 16:19:00 UTC
(In reply to Beniamino Galvani from comment #2)
> Created attachment 1280346 [details]
> [PATCH] core: add configuration flag to choose slaves activation order

patch lgtm

Comment 5 Lubomir Rintel 2017-05-24 12:14:52 UTC
Agreed with the solution, the patch looks correct too.

Comment 7 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.